- Submit bulk lead event create job (async). Returns 202 Accepted with APIResponse data containing processId for polling.
Add lead event. On success returns 201 with APIResponse; data is a map of created keys (eventId, and id when available).
Poll bulk DMP lead event job status
Submit bulk lead event cr...
Security
bearerAuth and apiKeyAuth
- Mock serverhttps://developer.sprinklr.com/_mock/apis/sprinklr-v3/dmp/leadEvents/bulk
- Production Serverhttps://api3.sprinklr.com/prod/api/v3/dmp/leadEvents/bulk
curl -i -X POST \
https://developer.sprinklr.com/_mock/apis/sprinklr-v3/dmp/leadEvents/bulk \
-H 'Authorization: Bearer <YOUR_Token_HERE>' \
-H 'Content-Type: application/json' \
-H 'Key: YOUR_API_KEY_HERE' \
-d '{
"callbackUrl": "string",
"callbackUrlHeaders": {
"property1": "string",
"property2": "string"
},
"records": [
{}
],
"syncProcessing": true
}'Response
{ "data": {}, "errors": [ { … } ], "metadata": {} }